Can not compile

General support for problems installing or using Deluge
zeppelin
Member
Member
Posts: 20
Joined: Sat May 26, 2007 7:09 am

Can not compile

Postby zeppelin » Sat May 26, 2007 7:21 am

Im getting this error

Code: Select all

command 'c++' failed with exit status 1

when i do

Code: Select all

python setup.py build

on revision 409 [Fedora Core 6].

This is weird as i didnt have an problems i until 379

User avatar
zachtib
Leecher
Leecher
Posts: 97
Joined: Thu May 24, 2007 3:26 pm
Location: Louisville, KY
Contact:

Re: Can not compile

Postby zachtib » Sat May 26, 2007 6:18 pm

can you post a more detailed output?
Former Deluge Developer

zeppelin
Member
Member
Posts: 20
Joined: Sat May 26, 2007 7:09 am

Re: Can not compile

Postby zeppelin » Sun May 27, 2007 7:28 am

revision 410

Code: Select all

[zeppelin@Aeolus deluge]$ python setup.py build
Attempting to detect your system information
32bit x86 system detected
Linux operating system detected
Libraries mt
running build
running build_py
running build_ext
building 'deluge_core' extension
c++ -pthread -shared build/temp.linux-i686-2.4/src/deluge_core.o build/temp.linux-i686-2.4/libtorrent/src/alert.o build/temp.linux-i686-2.4/libtorrent/src/allocate_resources.o build/temp.linux-i686-2.4/libtorrent/src/bandwidth_manager.o build/temp.linux-i686-2.4/libtorrent/src/bt_peer_connection.o build/temp.linux-i686-2.4/libtorrent/src/connection_queue.o build/temp.linux-i686-2.4/libtorrent/src/entry.o build/temp.linux-i686-2.4/libtorrent/src/escape_string.o build/temp.linux-i686-2.4/libtorrent/src/file.o build/temp.linux-i686-2.4/libtorrent/src/file_pool.o build/temp.linux-i686-2.4/libtorrent/src/http_connection.o build/temp.linux-i686-2.4/libtorrent/src/http_stream.o build/temp.linux-i686-2.4/libtorrent/src/http_tracker_connection.o build/temp.linux-i686-2.4/libtorrent/src/identify_client.o build/temp.linux-i686-2.4/libtorrent/src/instantiate_connection.o build/temp.linux-i686-2.4/libtorrent/src/ip_filter.o build/temp.linux-i686-2.4/libtorrent/src/logger.o build/temp.linux-i686-2.4/libtorrent/src/lsd.o build/temp.linux-i686-2.4/libtorrent/src/metadata_transfer.o build/temp.linux-i686-2.4/libtorrent/src/natpmp.o build/temp.linux-i686-2.4/libtorrent/src/peer_connection.o build/temp.linux-i686-2.4/libtorrent/src/piece_picker.o build/temp.linux-i686-2.4/libtorrent/src/policy.o build/temp.linux-i686-2.4/libtorrent/src/session.o build/temp.linux-i686-2.4/libtorrent/src/session_impl.o build/temp.linux-i686-2.4/libtorrent/src/sha1.o build/temp.linux-i686-2.4/libtorrent/src/socks5_stream.o build/temp.linux-i686-2.4/libtorrent/src/stat.o build/temp.linux-i686-2.4/libtorrent/src/storage.o build/temp.linux-i686-2.4/libtorrent/src/torrent.o build/temp.linux-i686-2.4/libtorrent/src/torrent_handle.o build/temp.linux-i686-2.4/libtorrent/src/torrent_info.o build/temp.linux-i686-2.4/libtorrent/src/tracker_manager.o build/temp.linux-i686-2.4/libtorrent/src/udp_tracker_connection.o build/temp.linux-i686-2.4/libtorrent/src/upnp.o build/temp.linux-i686-2.4/libtorrent/src/ut_pex.o build/temp.linux-i686-2.4/libtorrent/src/web_peer_connection.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/closest_nodes.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/dht_tracker.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/find_data.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/node.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/node_id.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/refresh.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/routing_table.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/rpc_manager.o build/temp.linux-i686-2.4/libtorrent/src/kademlia/traversal_algorithm.o -lboost_filesystem-mt -lboost_date_time-mt -lboost_thread-mt -lz -lpthread -o build/lib.linux-i686-2.4/deluge/deluge_core.so
/usr/bin/ld: cannot find -lboost_filesystem-mt
collect2: ld returned 1 exit status
error: command 'c++' failed with exit status 1

markybob
Compulsive Poster
Compulsive Poster
Posts: 1230
Joined: Thu May 24, 2007 11:27 pm
Location: Chicago, IL, USA
Contact:

Re: Can not compile

Postby markybob » Sun May 27, 2007 7:55 am

you need to install boost. libboost-regex-dev libboost-thread-dev and libboost-date-time-dev

zeppelin
Member
Member
Posts: 20
Joined: Sat May 26, 2007 7:09 am

Re: Can not compile

Postby zeppelin » Sun May 27, 2007 10:02 pm

These packages are installed

Code: Select all

[zeppelin@Aeolus ~]$ sudo yum list *boost*
Installed Packages
boost.i386                               1.33.1-13.fc7          installed       
boost-devel.i386                         1.33.1-13.fc7          installed       
boost-devel-static.i386                  1.33.1-13.fc7          installed       
boost-doc.i386                           1.33.1-13.fc7          installed       


Didnt have the same problem earlier

Thank you ! :)

markybob
Compulsive Poster
Compulsive Poster
Posts: 1230
Joined: Thu May 24, 2007 11:27 pm
Location: Chicago, IL, USA
Contact:

Re: Can not compile

Postby markybob » Sun May 27, 2007 11:41 pm

can you give me the output of cat /etc/issue please?

markybob
Compulsive Poster
Compulsive Poster
Posts: 1230
Joined: Thu May 24, 2007 11:27 pm
Location: Chicago, IL, USA
Contact:

Re: Can not compile

Postby markybob » Mon May 28, 2007 1:29 am

and try the latest svn. should work now :)

zeppelin
Member
Member
Posts: 20
Joined: Sat May 26, 2007 7:09 am

Re: Can not compile

Postby zeppelin » Mon May 28, 2007 6:39 am

markybob wrote:can you give me the output of cat /etc/issue please?


Code: Select all

[zeppelin@Aeolus deluge-0.5.0.90.1]$ cat /etc/issue
Fedora Core release 6 (Zod)
Kernel \r on an \m


The same error on latest svn 418 and deluge-0.5.0.90.1

Im thinking to install boost from source, do you think that there would be any difference ?
Last edited by zeppelin on Mon May 28, 2007 1:32 pm, edited 1 time in total.

markybob
Compulsive Poster
Compulsive Poster
Posts: 1230
Joined: Thu May 24, 2007 11:27 pm
Location: Chicago, IL, USA
Contact:

Re: Can not compile

Postby markybob » Mon May 28, 2007 9:55 am

zeppelin wrote:
markybob wrote:can you give me the output of cat /etc/issue please?


Code: Select all

[zeppelin@Aeolus deluge-0.5.0.90.1]$ cat /etc/issue
Fedora Core release 6 (Zod)
Kernel \r on an \m


The same error on latest svn 418 and deluge-0.5.0.90.1

Im thinking to install boost from source, do you think that there would any difference ?

no. typo on my end. try again

zeppelin
Member
Member
Posts: 20
Joined: Sat May 26, 2007 7:09 am

Re: Can not compile [SOLVED]

Postby zeppelin » Mon May 28, 2007 1:36 pm

Its ok now,

thank you !


Return to “Support”

Who is online

Users browsing this forum: No registered users and 14 guests